Show / Hide Table of Contents

# Class LibcFunction

##### Inheritance

System.Object
LibcFunction

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Libc

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class LibcFunction

### Constructors

| Improve this Doc View Source

#### LibcFunction(SigScanner)

##### Declaration

    public LibcFunction(SigScanner scanner)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | scanner |

### Methods

| Improve this Doc View Source

#### NewString(Byte[])

##### Declaration

    public OwnedStdString NewString(byte[] content)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | content |

##### Returns

Type | Description
--- | ---
OwnedStdString |